Post V 2 Journeys Search

View as Markdown

Authentication

AuthorizationBearer
OAuth 2.0 Client Credentials Flow. To obtain an access token: 1. Request API credentials from HINDSITE support to receive your `client_id` and `client_secret` 2. Make a POST request to obtain an access token: ``` POST https://app.hindsiteind.com/oauth/token Content-Type: application/x-www-form-urlencoded grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET ``` 3. The response will contain your access token: ```json { "access_token": "your_access_token_here", "token_type": "Bearer", "expires_in": 7200, "created_at": 1234567890 } ``` 4. Include the token in subsequent API requests: ``` Authorization: Bearer your_access_token_here ```

Request

This endpoint expects an object.
searchstringOptional
workflow_idstringOptional
pageintegerOptional
fromintegerOptional
tointegerOptional
include_stepsbooleanOptional
flagged_stepsbooleanOptional
include_commentsbooleanOptional
include_contributorsbooleanOptional
include_approvalsbooleanOptional

Response

created Search
resultslist of objects
next_pageinteger
Next page number, or null if no more pages